select
  an.numero
  , an.dtnascimento
  , par.data as data_parto
  , an.dtbaixa
  , (case when (an.dtbaixa is null) then 'Ativa' 
----COLOCAR O PERODO QUE SE DESEJA AVALIAR NO FORMATO aaa-mm-aa
  when (an.dtbaixa between '2013-01-01' and '2013-12-31') then 'Baixada no perodo' 
  else 'Baixada fora do periodo' end) as situacao_baixa
  , (case when (an.dtbaixa is null) then null
----COLOCAR O PERODO QUE SE DESEJA AVALIAR NO FORMATO aaa-mm-aa
  when (an.dtbaixa between '2013-01-01' and '2013-12-31') then tb.descricao
  else null end) as tipobaixa
  , (case when (an.dtbaixa is null) then null
----COLOCAR O PERODO QUE SE DESEJA AVALIAR NO FORMATO aaa-mm-aa
  when (an.dtbaixa between '2013-01-01' and '2013-12-31') then mb.descricao
  else null end) as motivo_baixa
  , (select count(*) from reproducao re where re.cdanimal = an.cdanimal and re.cdtiporeproducao = 7 and re.data <= par.data)
        + coalesce(an.numpartoentrada, 0) as ordem_parto
  , tp.descricao as tipo_ult_parto
from
  animal an
  join reproducao par on par.cdanimal = an.cdanimal and par.cdtiporeproducao = 7
  join tipoparto tp on tp.cdtipoparto = par.cdtipoparto
  left join motivobaixa mb on mb.cdmotivobaixa = an.cdmotivobaixa
  left join tipobaixa tb on tb.cdtipobaixa = an.cdtipobaixa
where
--COLOCAR O PERODO QUE SE DESEJA AVALIAR NO FORMATO aaa-mm-aa
 par.data between '2013-01-01' and '2013-12-31' and
 (select count(*) from reproducao re where re.cdanimal = an.cdanimal and re.cdtiporeproducao = 7 and re.data <= par.data)
        + coalesce(an.numpartoentrada, 0) = 1
order by
   par.data
  ,an.numordenado
  